Package Details: pd-l2ork 20200822.r1790.15f00bbf-1

Git Clone URL: https://aur.archlinux.org/pd-l2ork.git (read-only, click to copy)
Package Base: pd-l2ork
Description: L2Ork (Linux Laptop Orchestra) version of PureData
Upstream URL: http://l2ork.music.vt.edu/main/?page_id=56
Licenses: BSD
Conflicts: pd-l2ork
Submitter: paum
Maintainer: pure-aur
Last Packager: pure-aur
Votes: 9
Popularity: 0.000000
First Submitted: 2013-01-28 10:47
Last Updated: 2020-08-22 05:57

Dependencies (44)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

Franek commented on 2016-06-08 20:20

For future readers: The main source of error turned out to be that I had linked /bin/sh to dash (not bash, as usual) on my system, and that the pd-l2ork build scripts contain bashisms. So just make sure that /bin/sh links to bash when building pd-l2ork.

Franek commented on 2016-06-07 17:37

Done:
https://github.com/agraef/aur-pkgbuilds/issues/1
I appreciate any help, but it's not urgent.

aggraef commented on 2016-06-06 21:35

Works fine over here (as of pd-l2ork 1680.a49a2bb-1). Please use the bug tracker at https://github.com/agraef/aur-pkgbuilds and supply a full build log, then I might be able to help.

Franek commented on 2016-06-06 15:14

I just ran into that same error, so apparently it isn't fixed.

aggraef commented on 2016-05-24 00:47

Should be fixed now, please test.

aggraef commented on 2016-05-17 10:37

Probably another compile error introduced by some recent upstream changes. I'll look into it asap.

paum commented on 2016-05-17 08:47

==> Entering fakeroot environment...
==> Starting package()...
mv: cannot stat 'bin/cyclist': No such file or directory
==> ERROR: A failure occurred in package().
Aborting...
==> ERROR: Makepkg was unable to build pd-l2ork.

rvega commented on 2015-11-16 20:57

Thank you! Much better now on a fresh Manjaro install. Only two issues:

Compilation of moocow/flite fails and it is not available when you try to instantiate it: https://gist.github.com/rvega/62578b981b003387b0fd flite-fpic is installed.

Also, there is a runtime error pertaining libx264:

[codecinfo] Error: dlopen failed for /usr/lib/libquicktime/lqt_x264.so: libx264.so.144: cannot open shared object file: No such file or directory

The file libx264.so.144 is present not in my system, but the package libx264 is installed and the file /usr/lib/libx264.so.148 is present. If I symlink /usr/lib/libx264.so.144 to /usr/lib/libx264.so.148 I get:

[codecinfo] Error: dlopen failed for /usr/lib/libquicktime/lqt_x264.so: /usr/lib/libquicktime/lqt_x264.so: undefined symbol: x264_encoder_open_144

aggraef commented on 2015-11-14 00:54

Updated to latest upstream git, PKGBUILD fixed. I can't reproduce rvega's compile errors (maybe they were fixed upstream?), over here the package builds fine and works. Anyway, please give the latest PKGBUILD a try and see whether it works for you.

rvega commented on 2015-11-06 22:42

The current PKGBUILD fails in the following lines:

`cp -f text-x-puredata.png "$pkgdir/usr/share/pixmaps/"` (Which is easily fixed by changing the filename text-x-puredata.png for text-x-pd-l2ork.png)

And `mv include/Gem include/pd-l2ork`

If I comment out the second one, compilation, packaging and installation will finish but there are some "fatal_error" messages during compilation regarding the non existance of m_pd.h

Also, after installing, when the app is started, there are a bunch of messages in the PD console about a number of libraries not being loaded (Gem, libdir, many more).